Bug 164228 - Export sys_recvmesg for cluster snapshot
Export sys_recvmesg for cluster snapshot
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Phillips
Brian Brock
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-07-25 22:26 EDT by Jason Baron
Modified: 2013-03-06 00:58 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 09:45:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Baron 2005-07-25 22:26:43 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jason Baron 2005-07-25 22:27:43 EDT
here is the patch:

--- 2.6.11.3.clean/net/socket.c 2005-03-13 01:44:20.000000000 -0500
+++ 2.6.11.3/net/socket.c       2005-03-29 20:00:42.000000000 -0500
@@ -2072,6 +2072,10 @@ void socket_seq_show(struct seq_file *se
 }
 #endif /* CONFIG_PROC_FS */

+/* Cluster devices need this, or better: a kernel interface */
+
+EXPORT_SYMBOL_GPL(sys_recvmsg);
+
 /* ABI emulation layers need these two */
 EXPORT_SYMBOL(move_addr_to_kernel);
 EXPORT_SYMBOL(move_addr_to_user);
Comment 7 Red Hat Bugzilla 2005-10-05 09:45:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html

Note You need to log in before you can comment on or make changes to this bug.